from setuptools import setup, Extension
import pybind11

ext_modules = [
    Extension(
        'myext',
        ['myext.cpp'],
        include_dirs=[
            pybind11.get_include(),
        ],
        language='c++',
        extra_compile_args=['-std=c++11', '-O3', '-Wall', '-shared'],
    ),
]

setup(
    name='myext',
    version='0.0.1',
    author='YX',
    description='Pybind11 example for passing Numpy array and Python types',
    ext_modules=ext_modules,
    install_requires=['pybind11>=2.6.0'],
)